#if !defined(AFX_SETUPSORTPAGE_H__51148651_36EA_4A38_ABF8_E91F750C4559__INCLUDED_)
#define AFX_SETUPSORTPAGE_H__51148651_36EA_4A38_ABF8_E91F750C4559__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SetupsortPage.h : header file
//

#include "resource.h"
#include "TemplateMaster.h"
#include <AplGuiEx.h>
/////////////////////////////////////////////////////////////////////////////
// CSetupsortPage dialog

class CSetupsortPage : public CaplTranslateDialog
{
// Construction
public:
	bool GetSortList();
	bool UpdateList();
	CTemplateMaster *m_pTemplate;

	CSetupsortPage(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupsortPage)
	enum { IDD = IDD_SETUP_SORT_PAGE };
	CaplButton	m_up_btn;
	CaplButton	m_down_btn;
	CaplButton	m_del_btn;
	CaplButton	m_add_btn;
	CListBox	m_SortColumns_ListCtrl;
	CListBox	m_PossibleColumns_ListCtrl;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetupsortPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CSetupsortPage)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnAdd();
	afx_msg void OnDel();
	afx_msg void OnUp();
	afx_msg void OnDown();
	afx_msg void OnDblclkPossibleList();
	afx_msg void OnDblclkSortList();
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SETUPSORTPAGE_H__51148651_36EA_4A38_ABF8_E91F750C4559__INCLUDED_)
